Php Устанавливаем потдержку Firebird

Сижу значиться я, никого не трогаю, что-то програмлю и тут звонок, «Нужно срочно установить модуль interbase.so» на одном из сервер под управлением CentOS 5.5. Ну дело не хитрое, google быстро дает короткий FAQ и по нему начинаю устанавливать. Устанавливаю php-devel, без него phpize нету:

yum install php-devel

Узнаем текущую версию php, для этого в командной строке:

php -v

В моем случаи оказалась 5.2.17. При помощи того же Google находим исходник PhP(Я скачивал ТУТ), скачиваем и разархивируем. Переходим в папку ext/interbase, и запускаей - 

phpize

затем

./configure —with-interbase=shared,/opt/firebird

и тут произошла вот такая ошибка:

configure: error: libgds, libib_util or libfbclient not found!

поиски в Google не дали конкретного решения но натолкнули на мысль, что не хватает библиотек Firebird. Ну, что же, давайте их установим:

yum install firebird firebird-devel

после этого копируем /usr/lib/firebird в /opt/firebird и снова запускаем

./configure —with-interbase=shared,/opt/firebird

в моем случаи команда прошла, после чего я скомпилировал модуль:

make

Затем копируем файл interbase.so из папки .libs(эта папка находиться в ext/interbase) в папку /usr/lib/php/modules/ и добавил в /etc/php.d файл interbase.ini с таким содержимым:

extension=interbase.so
 

Случайные Статьи

Loading…


Количество просмотров :4962

Оставьте коментарий